<!doctype html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <link rel="preconnect" href="https://fonts.googleapis.com">
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
  <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap" rel="stylesheet">
  <style>
    :root {
      --border-color: gray;
    }
    
    body {
      font-family: 'Roboto', sans-serif;
    }
  </style>
  <style>
    .invoice {
      width: 1050px;
      margin: 32px auto;
      border: 1px solid var(--border-color);
      border-radius: 4px;
      font-size: 16px;
    }
    .bordered-container {
      margin: 10px auto;
      width: 1000px;
      border: 1px solid black;
    }
    table{
      width: 100%;
      border: 1px solid #DDDDDD;
      border-collapse: collapse;
      margin-top: 20px;
    }
    th, td {
      border-collapse: collapse;
      border: 1px solid lightgray;
      padding: 1em 8px;
    }
    .align-center {
      text-align: center;
    }
    .align-right {
      text-align: right;
    }
    .align-left {
      text-align: left;
    }
    .header-container {
      display: grid;
      grid-template-columns: 1fr 1fr;
      grid-template-rows: auto auto;
    }
    .head-title {
      font-size: 22px;
      font-weight: 700;
    }
    .text-title {
      font-weight: 600;
      color: #484848;
    }
    .text-info {
      font-weight: 400;
      color: #484848;
    }
    .cell {
      padding: 20px 20px 20px 20px;
    }
    .name-cell {
      max-width: 350px;
    }
    .grid-table {
      display: grid;
      grid-template-columns: auto 1fr repeat(7, auto);
      padding: 15px;
    }
    .grid-cell {
      padding: 10px 6px 10px 10px;
      border: 1px solid #DDDDDD;
    }
    .description-cell {
      grid-column: span 9;
      padding: 20px 10px 20px 10px;
    }
    .subtotal-cell {
      grid-column: 5/span 5;
    }
    .border-right {
      border-right: 1px solid #DDDDDD;
    }
    .border-top {
      border-top: 1px solid #DDDDDD;
    }
    .cell[data-type="company-cell"] {
      display: grid;
      grid-template-columns: 0.5fr 3fr;
    }
    .cell[data-type="work-order-cell"] {
      display: grid;
      grid-template-rows: 1fr auto;
    }
    .align-content-end {
      display: flex;
      justify-content: end;
    }
    .text-mt {
      padding-top: 10px;
    }
    .project-name {
      background: rgba(28, 44, 57, 0.1);
      line-height: 33px;
      vertical-align: middle;
      padding: 10px 0px 10px 20px;
    }
    .p15 {
      padding: 15px;
    }
    img {
      height: 60px;
      object-fit: contain;
      background-color: white;
    }
    .table-total {
      display: flex;
      justify-content: flex-end;
      padding: 20px;
    }
    .bottom-section {
      padding: 20px;
    }
    
  </style>
</head>
<body>
    <div class="invoice">
        <div class="bordered-container">
          <div class="header-container">
            <div data-type="company-cell" class="cell border-right">
              <div>
                <img src="<%= ispravaLogoUrl %>" />
              </div>
              <div>
                <span class="head-title">
                  <%= companyName %>
                </span>
                <p class="text-info"><%= companyAddress %></p>
                <p>
                  <span class="text-title">GSTIN : </span>
                  <span class="text-info"> <%= companyGstin %> </span>
                </p>

              </div>
            </div>
            <div data-type="work-order-cell" class="cell">
              <div class="align-content-end">
                <span class="head-title">Work Order</span>
              </div>
              <div class="align-content-end">
                <table class="align-center">
                  <tr>
                    <td class="text-title">Work Order Id</td>
                    <td class="text-info"><%= workOrderId %></td>
                  </tr>
                  <tr>
                    <td class="text-title">Version</td>
                    <td class="text-info"> <%= version %> </td>
                  </tr>
                  <tr>
                    <td class="text-title">Date</td>
                    <td class="text-info"><%= approvedAt %></td>
                  </tr>
                </table>
              </div>
            </div>
            <div class="cell border-top border-right">
              <span class="head-title">Vendor Details</span><br/>
              <div class="text-mt">
                <span class="text-info"> <span class="text-title">Name : </span> <%= vendorName %></span>
              </div>
              <div class="text-mt">
                <span class="text-info text-mt"> <span class="text-title">Address : </span> <%= address %></span>
              </div>
              <div class="text-mt">
                <span class="text-info text-mt"> <span class="text-title">PAN : </span> <%= vendorPan %></span>
              </div>
              <div class="text-mt">
                <span class="text-info text-mt"> <span class="text-title">GST : </span> <%= vendorGstin %></span>
              </div>
            </div>
            <div class="cell border-top">
              <span class="head-title">Work Order Details</span>
              <div class="text-mt">
                <span class="text-info text-mt"> <span class="text-title">Work Order Type : </span> <%= workOrderType %></span>
              </div>
              <div class="text-mt">
                <span class="text-info text-mt"> <span class="text-title">Description : </span> <%= description %></span>
              </div>
            </div>
          </div>
          <div>
            <% for(var project in lineItemsList)  { %>
            <div>
              <div class="project-name">
                  <%= lineItemsList[project].projectFriendly %>
              </div>
              <div class="grid-table">
              <% for(let i=0; i<lineItemsList[project].lineItems.length; i++)  { %>
                    <div class="grid-cell text-title">Sr No.</div>
                    <div class="grid-cell text-title">Name</div>
                    <div class="grid-cell text-title">Cost Center</div>
                    <div class="grid-cell text-title">UOM</div>
                    <div class="grid-cell text-title">Quantity</div>
                    <div class="grid-cell text-title">Rate</div>
                    <div class="grid-cell text-title">GST%</div>
                    <div class="grid-cell text-title">Base</div>
                    <div class="grid-cell text-title">GST Amt.</div>
                    <div class="grid-cell text-info"><%= i+1 %></div>
                    <div class="grid-cell text-info"><%= lineItemsList[project].lineItems[i].name %></div>
                    <div class="grid-cell text-info"><%= lineItemsList[project].lineItems[i].costCenter %></div>
                    <div class="grid-cell text-info"><%= lineItemsList[project].lineItems[i].unit %></div>
                    <div class="grid-cell text-info align-right"><%= lineItemsList[project].lineItems[i].quantity %></div>
                    <div class="grid-cell text-info align-right"><%= lineItemsList[project].lineItems[i].rate %></div>
                    <div class="grid-cell text-info align-right"><%= totalGstTax %></div>
                    <div class="grid-cell text-info align-right"><%= lineItemsList[project].lineItems[i].baseAmount %></div>
                    <div class="grid-cell text-info align-right"><%= lineItemsList[project].lineItems[i].gstAmount %></div>
                    <div class="description-cell">
                      <span class="text-title">Description : <span class="text-info"><%= lineItemsList[project].lineItems[i].description %>  </span></span>
                    </div>
              <% } %>
              <div class="align-right p15 subtotal-cell">
                <span class="text-title">Subtotal(Incl. GST) : <span class="text-info"><%= lineItemsList[project].projectTotal %></span></span>
              </div>
            </div>
            </div>
            <% } %>
          </div>
          <div class="bottom-section">
            <div class="table-total">
              <div>
                <table class="align-center">
                  <tr>
                    <td class="text-title">Base</td>
                    <td class="text-info align-right"><%= baseAmount %></td>
                  </tr>
                  <tr>
                    <td class="text-title">CGST(<%= cgstTax %>%)</td>
                    <td class="text-info align-right"><%= cgstAmount %></td>
                  </tr>
                  <tr>
                    <td class="text-title">SGST(<%= sgstTax %>%)</td>
                    <td class="text-info align-right"><%= sgstAmount %></td>
                  </tr>
                  <tr>
                    <td class="text-title">IGST(<%= igstTax %>%)</td>
                    <td class="text-info align-right"><%= igstAmount %></td>
                  </tr>
                  <tr>
                    <td class="text-title">Total (with Tax)</td>
                    <td class="text-info align-right"><%= totalAmount %></td>
                  </tr>
                </table>
              </div>
            </div>
            <span class="text-title"> Payment Terms:
              <span class="text-info"><%= vendorPaymentTerms %></span> </span><br/><br />
          <% if(documentTitle!==""  && documentSignedAt!=="" && documentSigningEntityOne!=="" && documentSigningEntityTwo!==""){ %>
            <span class="text-info">This Work Order is in accordance with the document titled 
              <span class="text-title"> <%= documentTitle %> </span>
            signed between <span class="text-title"><%= documentSigningEntityOne %></span> and <span class="text-title"><%= documentSigningEntityTwo %></span> on <span class="text-title"> <%= documentSignedAt %> </span>.</span>
          <% } %>
          </div>
        </div>
    </div>
</body>
</html>